com.genesyslab.wfm8.API.service.config800

## Class CfgStateGroupShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgStateGroupShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgStateGroupShort
      extends java.lang.Object
      implements java.io.Serializable

  State Group Short Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId`
    `protected int` | `wmColor`
    `protected int` | `wmFontColor`
    `protected java.lang.String` | `wmName`
    `protected java.lang.String` | `wmShortName`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected int` | `wmStateGroupId`
    `protected int` | `wmType`
    `protected int` | `wmWeight`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgStateGroupShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmColor()` Gets the value of the wmColor property.
    `int` | `getWmFontColor()` Gets the value of the wmFontColor property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `java.lang.String` | `getWmShortName()` Gets the value of the wmShortName property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmStateGroupId()` Gets the value of the wmStateGroupId property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `getWmWeight()` Gets the value of the wmWeight property.
    `int` | `hashCode()`
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmColor(int value)` Sets the value of the wmColor property.
    `void` | `setWmFontColor(int value)` Sets the value of the wmFontColor property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmShortName(java.lang.String value)` Sets the value of the wmShortName property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStateGroupId(int value)` Sets the value of the wmStateGroupId property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmWeight(int value)` Sets the value of the wmWeight property.
    `java.lang.String` | `toString()`
    `CfgStateGroupShort` | `withWmBUId(int value)`
    `CfgStateGroupShort` | `withWmColor(int value)`
    `CfgStateGroupShort` | `withWmFontColor(int value)`
    `CfgStateGroupShort` | `withWmName(java.lang.String value)`
    `CfgStateGroupShort` | `withWmShortName(java.lang.String value)`
    `CfgStateGroupShort` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgStateGroupShort` | `withWmSiteId(java.lang.Integer... values)`
    `CfgStateGroupShort` | `withWmSiteIdNSizeIs(int value)`
    `CfgStateGroupShort` | `withWmStateGroupId(int value)`
    `CfgStateGroupShort` | `withWmType(int value)`
    `CfgStateGroupShort` | `withWmWeight(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmStateGroupId

          protected int wmStateGroupId

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmName

          protected java.lang.String wmName

    - #### wmShortName

          protected java.lang.String wmShortName

    - #### wmColor

          protected int wmColor

    - #### wmFontColor

          protected int wmFontColor

    - #### wmWeight

          protected int wmWeight

    - #### wmType

          protected int wmType

  - ### Constructor Detail

    - #### CfgStateGroupShort

          public CfgStateGroupShort()

  - ### Method Detail

    - #### getWmStateGroupId

          public int getWmStateGroupId()

      Gets the value of the wmStateGroupId property.

    - #### setWmStateGroupId

          public void setWmStateGroupId(int value)

      Sets the value of the wmStateGroupId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmShortName

          public java.lang.String getWmShortName()

      Gets the value of the wmShortName property.
      Returns:
        possible object is `String`

    - #### setWmShortName

          public void setWmShortName(java.lang.String value)

      Sets the value of the wmShortName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmColor

          public int getWmColor()

      Gets the value of the wmColor property.

    - #### setWmColor

          public void setWmColor(int value)

      Sets the value of the wmColor property.

    - #### getWmFontColor

          public int getWmFontColor()

      Gets the value of the wmFontColor property.

    - #### setWmFontColor

          public void setWmFontColor(int value)

      Sets the value of the wmFontColor property.

    - #### getWmWeight

          public int getWmWeight()

      Gets the value of the wmWeight property.

    - #### setWmWeight

          public void setWmWeight(int value)

      Sets the value of the wmWeight property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### withWmStateGroupId

          public CfgStateGroupShort withWmStateGroupId(int value)

    - #### withWmBUId

          public CfgStateGroupShort withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgStateGroupShort withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgStateGroupShort withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgStateGroupShort withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgStateGroupShort withWmName(java.lang.String value)

    - #### withWmShortName

          public CfgStateGroupShort withWmShortName(java.lang.String value)

    - #### withWmColor

          public CfgStateGroupShort withWmColor(int value)

    - #### withWmFontColor

          public CfgStateGroupShort withWmFontColor(int value)

    - #### withWmWeight

          public CfgStateGroupShort withWmWeight(int value)

    - #### withWmType

          public CfgStateGroupShort withWmType(int value)

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.